#ifndef __SHAPERD_H__
#define __SHAPERD_H__

#include "shaperd_config.h"

struct shaperd_options
{
    int config;
    const char *speed_ext;
    int debug;
    int delay;
    int olddelay;
    int high_start_speed;
    int even_division;
    int quick_start;
    int continous_control;
    int jump_type;
    int check_sum_of_bandwidth;
    int squid_support;
    int divide_upload;
    int extended_queue;
    int nomasq;
    int class_type;
    int upload_class_type;
    char *debug_output;
    int shownat_all;
    int shownat;
    int version;
    int help;
};

struct shaperd_options *shaperd_options_new();
void parse_cmdline (int argc, char *argv[],struct shaperd_options *opts);

/* funkcje uniwersalne */
int shaperd_strtoi(char *str);
int shaperd_strtobool(char *str);
int shaperd_strtoclass(char *str);
const char *shaperd_strtospeedu(char *str);

/* ,,linki'' do staroci. powoli maja znikac */
int old_main(int argc, char **argv);

#endif
